Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Captures a weighted frame from the camera

Request

Retrieves the weighted frame from the camera.

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/get-weighted-frame' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The PNG image file that was grabbed from the camera

Bodyapplication/json
string(binary)
Response
application/json
"string"

Get the vision system status

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/vision-system-status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The vision system status

Bodyapplication/json
isVisionSystemAvailableboolean

Flag to check if the vision system is available

Response
application/json
{ "isVisionSystemAvailable": true }

Get the cameras

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/cameras' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of cameras

Bodyapplication/jsonArray [
idinteger(int32)

The database id for the setting

namestring or null

The name of the setting

displayNamestring or null

The display name

activeboolean

Whether or not it's active

]
Response
application/json
[ { "id": 0, "name": "string", "displayName": "string", "active": true } ]

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations